## zita-resampler 0.1.1

=== apps/Makefile ===
# --------------------------------------------------------------------------
#
#  Copyright (C) 2007-2010 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
# --------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
DISTDIR = resample-$(VERSION)
VERSION = 0.4.0
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -O3 -ffast-math -Wall -MMD -MP -DVERSION=\"$(VERSION)\"
#CPPFLAGS += -march=native


all:	resample


RESAMPLE_O = resample.o audiofile.o dither.o
resample:	LDLIBS += -lzita-resampler -lsndfile -lpthread -lrt
resample:	$(RESAMPLE_O)
	g++ $(LDFLAGS) -o $@ $(RESAMPLE_O) $(LDLIBS)
$(RESAMPLE_O):
-include $(RESAMPLE_O:%.o=%.d)


install:	resample
	install -Dm 755 resample $(DESTDIR)$(PREFIX)/bin/resample


clean:
	/bin/rm -f *~ *.o *.a *.d *.so resample

=== libs/Makefile ===
#  Copyright (C) 2009 Fons Adriaensen <fons@kokkinizita.net>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published
#  by the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


# Modify as required.
#
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)


MAJVERS = 0
MINVERS = 1.1
VERSION = $(MAJVERS).$(MINVERS)
DISTDIR = zita-resampler-$(VERSION)


CPPFLAGS += -Wall -I. -fPIC -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 -ffast-math
#CPPFLAGS += -march=native
LDFLAGS += 
LDLIBS +=


ZITA-RESAMPLER_SO = libzita-resampler.so
ZITA-RESAMPLER_MAJ = $(ZITA-RESAMPLER_SO).$(MAJVERS)
ZITA-RESAMPLER_MIN = $(ZITA-RESAMPLER_MAJ).$(MINVERS)
ZITA-RESAMPLER_DEP =
ZITA-RESAMPLER_O = zita-resampler.o
ZITA-RESAMPLER_H = zita-resampler.h 


$(ZITA-RESAMPLER_MIN): $(ZITA-RESAMPLER_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(ZITA-RESAMPLER_MAJ) -o $(ZITA-RESAMPLER_MIN) $(ZITA-RESAMPLER_O) $(ZITA-RESAMPLER_DEP)

$(ZITA-RESAMPLER_O):	$(ZITA-RESAMPLER_H)


install:	$(ZITA-RESAMPLER_MIN)
	install -d $(PREFIX)/include
	install -d $(PREFIX)/$(LIBDIR)
	install -m 644 $(ZITA-RESAMPLER_H) $(PREFIX)/include
	install -m 755 $(ZITA-RESAMPLER_MIN) $(PREFIX)/$(LIBDIR)
	/sbin/ldconfig -n $(PREFIX)/$(LIBDIR)
	ln -sf $(ZITA-RESAMPLER_MIN) $(PREFIX)/$(LIBDIR)/$(ZITA-RESAMPLER_SO)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so.*

=== debian/changelog ===
zita-resampler (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #600831).

 -- Alessio Treglia <alessio@debian.org>  Wed, 20 Oct 2010 15:46:02 +0200

=== debian/control ===
Source: zita-resampler
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libsndfile1-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/zita-resampler.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-resampler.git
Homepage: http://www.kokkinizita.net/linuxaudio/zita-resampler/resampler.html

Package: libzita-resampler-dev
Section: libdevel
Architecture: all
Depends: libzita-resampler0 (>= ${source:Version}),
 libzita-resampler0 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends}
Description: Development files (headers) for libzita-resampler library
 Zita resampler is a C++ library for resampling audio signals. It is
 designed to be used within a real-time processing context, to be
 fast, and to provide high-quality sample rate conversion.
 .
 This package contains the headers used to build applications
 that use libzita-resampler.

Package: libzita-resampler0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: C++ library for resampling audio signals
 Zita resampler is a C++ library for resampling audio signals. It is
 designed to be used within a real-time processing context, to be
 fast, and to provide high-quality sample rate conversion.
 .
 The library operates on signals represented in single-precision
 floating point format. For multichannel operation both the input and
 output signals are assumed to be stored as interleaved samples.
 .
 The API allows a trade-off between quality and CPU load. For the
 latter a range of approximately 1:6 is available. Even at the
 highest quality setting libzita-resampler will be faster than most
 similar libraries, e.g. libsamplerate. 
 .
 This package contains the shared library for libzita-resampler.

Package: zita-resampler
Architecture: any
Depends: ${shlibs:Depends},
 libzita-resampler0 (= ${binary:Version}),
 ${misc:Depends}
Description: resampler application written with libzita-resampler
 Input format is any file readable by libsndfile, output is either WAV
 (WAVEX for more than 2 channels)  or CAF. Apart from resampling, users
 can change the sample format to 16-bit, 24-bit or float, and for 16-bit
 output, add dithering.
 .
 Available dithering types are rectangular, triangular and Lipschitz'
 optimised error feedback filter. Some examples of dithering can be seen
 here:
 http://www.kokkinizita.net/linuxaudio/dithering.html

Package: zita-resampler-dbg
Section: debug
Priority: extra
Architecture: any
Depends: zita-resampler (= ${binary:Version}),
 libzita-resampler0 (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for libzita-resampler
 Zita resampler is a C++ library for resampling audio signals. It is
 designed to be used within a real-time processing context, to be
 fast, and to provide high-quality sample rate conversion.
 .
 This package provides the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Smakefile -Dlibs

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C apps/ clean

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C apps/ DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C apps/ DESTDIR=$(CURDIR)/debian/tmp install

override_dh_strip:
	dh_strip --dbg-package=zita-resampler-dbg

## zita-resampler 1.1.0

=== apps/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2011 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http:#www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)
DISTDIR = zresample-$(VERSION)
VERSION = 0.4.0
MANDIR = /usr/share/man/man1
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O3  -ffast-math -Wall
CXXFLAGS += -march=native


all:	zresample zresample.1.gz


ZRESAMPLE_O = zresample.o audiofile.o dither.o
zresample:	LDLIBS += -lzita-resampler -lsndfile -lrt
zresample:	$(ZRESAMPLE_O)
	g++ $(LDFLAGS) -o $@ $(ZRESAMPLE_O) $(LDLIBS)
$(ZRESAMPLE_O):
-include $(ZRESAMPLE_O:%.o=%.d)


zresample.1.gz:	zresample.1
	gzip -c zresample.1 > zresample.1.gz


install:	all
	install -Dm 755 zresample $(DESTDIR)$(PREFIX)/bin/zresample
	install -Dm 644 zresample.1.gz $(DESTDIR)$(MANDIR)/zresample.1.gz

uninstall: 
	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/zresample
	/bin/rm -f $(MANDIR)/zresample.1.gz

clean:
	/bin/rm -f *~ *.o *.a *.d *.so *.gz zresample

=== libs/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2012 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


# Modify as required.
#
PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)

MAJVERS = 1
MINVERS = 1.0
VERSION = $(MAJVERS).$(MINVERS)
DISTDIR = zita-resampler-$(VERSION)


CPPFLAGS += -I. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
CXXFLAGS += -Wall -fPIC -O2 -ffast-math
CXXFLAGS += -march=native
LDFLAGS += 
LDLIBS +=


ZITA-RESAMPLER_SO = libzita-resampler.so
ZITA-RESAMPLER_MAJ = $(ZITA-RESAMPLER_SO).$(MAJVERS)
ZITA-RESAMPLER_MIN = $(ZITA-RESAMPLER_MAJ).$(MINVERS)
ZITA-RESAMPLER_DEP =
ZITA-RESAMPLER_O = resampler.o vresampler.o resampler-table.o
ZITA-RESAMPLER_H = zita-resampler/resampler.h zita-resampler/resampler-table.h zita-resampler/vresampler.h


$(ZITA-RESAMPLER_MIN): $(ZITA-RESAMPLER_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(ZITA-RESAMPLER_MAJ) -o $(ZITA-RESAMPLER_MIN) $(ZITA-RESAMPLER_O) $(ZITA-RESAMPLER_DEP)

$(ZITA-RESAMPLER_O):	$(ZITA-RESAMPLER_H)


install:	$(ZITA-RESAMPLER_MIN)
	install -d $(DESTDIR)$(PREFIX)/include/zita-resampler
	install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)
	install -m 644 $(ZITA-RESAMPLER_H) $(DESTDIR)$(PREFIX)/include/zita-resampler
	install -m 644 $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(PREFIX)/$(LIBDIR)
	ln -sf $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(PREFIX)/$(LIBDIR)/$(ZITA-RESAMPLER_SO)
	ldconfig

uninstall:
	/bin/rm -rf $(DESTDIR)$(PREFIX)/include/zita-resampler
	/bin/rm -rf $(DESTDIR)$(PREFIX)/$(LIBDIR)/libzita-resampler*

clean:
	/bin/rm -rf *~ *.o *.a *.d *.so.* zita-resampler/*~

=== debian/changelog ===
zita-resampler (1.1.0-3) unstable; urgency=low

  * Fix SIGSEGV on 64-bit systems. (Closes: #691769)
    Thanks to Jamie Heilman for pointing out this.

 -- Alessio Treglia <alessio@debian.org>  Mon, 29 Oct 2012 15:45:10 +0000

zita-resampler (1.1.0-2) unstable; urgency=low

  * Remove -march=native.

 -- Alessio Treglia <alessio@debian.org>  Tue, 07 Feb 2012 23:42:53 +0100

zita-resampler (1.1.0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.
  * Add myself as uploader.
  * Refreshed patches.

  [ Alessio Treglia ]
  * Bump SONAME.
  * Switch -dev package to Architecture: any.
  * Build with MUlti-Arch.
  * Use a custom LIBDIR for a Multiarch compliant installation of
    the shared objects.
  * Strip documentation out of the -DEV runtime and put it into a new
    libzita-resampler-doc package.
  * Make libzita-resampler-dev suggest libzita-resampler-doc.
  * Make zita-resampler-dbg containing the debugging symbols for
    libzita-resampler1 only.
  * Update debian/copyright.
  * Fix homepage field.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Feb 2012 22:54:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,25 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Uploaders:
+ Alessio Treglia <alessio@debian.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
+Build-Depends:
+ debhelper (>= 8.1.3~),
  libsndfile1-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/zita-resampler.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-resampler.git
-Homepage: http://www.kokkinizita.net/linuxaudio/zita-resampler/resampler.html
+Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html
 
 Package: libzita-resampler-dev
 Section: libdevel
-Architecture: all
-Depends: libzita-resampler0 (>= ${source:Version}),
- libzita-resampler0 (<< ${source:Upstream-Version}+1~),
+Architecture: any
+Multi-Arch: same
+Depends:
+ libzita-resampler1 (= ${binary:Version}),
  ${misc:Depends}
+Suggests: libzita-resampler-doc
 Description: Development files (headers) for libzita-resampler library
  Zita resampler is a C++ library for resampling audio signals. It is
  designed to be used within a real-time processing context, to be
@@ -24,11 +29,26 @@
  This package contains the headers used to build applications
  that use libzita-resampler.
 
-Package: libzita-resampler0
+Package: libzita-resampler-doc
+Section: doc
+Architecture: all
+Depends:
+ ${misc:Depends}
+Description: Developers reference for libzita-resampler library
+ Zita resampler is a C++ library for resampling audio signals. It is
+ designed to be used within a real-time processing context, to be
+ fast, and to provide high-quality sample rate conversion.
+ .
+ This package contains libzita-resampler API reference.
+
+Package: libzita-resampler1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: C++ library for resampling audio signals
  Zita resampler is a C++ library for resampling audio signals. It is
  designed to be used within a real-time processing context, to be
@@ -41,15 +61,16 @@
  The API allows a trade-off between quality and CPU load. For the
  latter a range of approximately 1:6 is available. Even at the
  highest quality setting libzita-resampler will be faster than most
- similar libraries, e.g. libsamplerate. 
+ similar libraries, e.g. libsamplerate.
  .
  This package contains the shared library for libzita-resampler.
 
 Package: zita-resampler
 Architecture: any
-Depends: ${shlibs:Depends},
- libzita-resampler0 (= ${binary:Version}),
- ${misc:Depends}
+Depends:
+ libzita-resampler1 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: resampler application written with libzita-resampler
  Input format is any file readable by libsndfile, output is either WAV
  (WAVEX for more than 2 channels)  or CAF. Apart from resampling, users
@@ -65,8 +86,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: zita-resampler (= ${binary:Version}),
- libzita-resampler0 (= ${binary:Version}),
+Multi-Arch: same
+Depends:
+ libzita-resampler1 (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for libzita-resampler
  Zita resampler is a C++ library for resampling audio signals. It is

=== debian/watch ===
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html \
	zita-resampler-(.*)\.tar\.bz2

## zita-resampler 1.3.0

=== apps/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 CXXFLAGS += -march=native
 
 
-all:	zresample zresample.1.gz
+all:	zresample zretune zresample.1.gz zretune.1.gz
 
 
 ZRESAMPLE_O = zresample.o audiofile.o dither.o
@@ -41,18 +41,33 @@
 -include $(ZRESAMPLE_O:%.o=%.d)
 
 
+ZRETUNE_O = zretune.o audiofile.o dither.o
+zretune:	LDLIBS += -lzita-resampler -lsndfile -lrt
+zretune:	$(ZRETUNE_O)
+	g++ $(LDFLAGS) -o $@ $(ZRETUNE_O) $(LDLIBS)
+$(ZRETUNE_O):
+-include $(ZRETUNE_O:%.o=%.d)
+
+
 zresample.1.gz:	zresample.1
 	gzip -c zresample.1 > zresample.1.gz
+
+zretune.1.gz:	zretune.1
+	gzip -c zretune.1 > zretune.1.gz
 
 
 install:	all
 	install -Dm 755 zresample $(DESTDIR)$(PREFIX)/bin/zresample
+	install -Dm 755 zretune $(DESTDIR)$(PREFIX)/bin/zretune
 	install -Dm 644 zresample.1.gz $(DESTDIR)$(MANDIR)/zresample.1.gz
+	install -Dm 644 zretune.1.gz $(DESTDIR)$(MANDIR)/zretune.1.gz
 
 uninstall: 
 	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/zresample
+	/bin/rm -f $(DESTDIR)$(PREFIX)/bin/zretune
 	/bin/rm -f $(MANDIR)/zresample.1.gz
+	/bin/rm -f $(MANDIR)/zretune.1.gz
 
 clean:
-	/bin/rm -f *~ *.o *.a *.d *.so *.gz zresample
+	/bin/rm -f *~ *.o *.a *.d *.so *.gz zresample zretune

=== libs/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 LIBDIR = lib$(SUFFIX)
 
 MAJVERS = 1
-MINVERS = 1.0
+MINVERS = 3.0
 VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = zita-resampler-$(VERSION)

=== debian/changelog ===
zita-resampler (1.3.0-2) unstable; urgency=low

  * Upload to unstable.
  * Fix VCS canonical URLs.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:51:26 +0200

zita-resampler (1.3.0-1) experimental; urgency=low

  * New upstream release.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 27 Oct 2012 10:52:02 +0200

zita-resampler (1.2.0-1) experimental; urgency=low

  [ Jaromír Mikeš ]
  * New upstream release.
  * Bump Standards.
  * Set debhelper 9.
  * Added man pages for new binary zita-retune.

  [ Alessio Treglia ]
  * Set DM-Upload-Allowed: yes.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 02 Oct 2012 10:16:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
+DM-Upload-Allowed: yes
 Build-Depends:
- debhelper (>= 8.1.3~),
+ debhelper (>= 9),
  libsndfile1-dev
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/zita-resampler.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zita-resampler.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-resampler.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-resampler.git
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html
 
 Package: libzita-resampler-dev

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
 
 %:
 	dh $@ -Smakefile -Dlibs
@@ -12,5 +16,9 @@
 	$(MAKE) -C apps/ DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C apps/ DESTDIR=$(CURDIR)/debian/tmp install
 
+override_dh_installchangelogs:
+	dh_installchangelogs README
+
 override_dh_strip:
-	dh_strip --dbg-package=zita-resampler-dbg
+	dh_strip -plibzita-resampler1 --dbg-package=zita-resampler-dbg
+	dh_strip --remaining-packages

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-resampler-(.*)\.tar\.bz2

## zita-resampler 1.6.0

=== apps/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
 DISTDIR = zresample-$(VERSION)
-VERSION = 0.4.0
+VERSION = 1.6.0
 MANDIR = /usr/share/man/man1
 LDFLAGS += -L$(PREFIX)/$(LIBDIR)
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"

=== libs/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 LIBDIR = lib$(SUFFIX)
 
 MAJVERS = 1
-MINVERS = 3.0
+MINVERS = 6.0
 VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = zita-resampler-$(VERSION)
 
@@ -41,8 +41,9 @@
 ZITA-RESAMPLER_MAJ = $(ZITA-RESAMPLER_SO).$(MAJVERS)
 ZITA-RESAMPLER_MIN = $(ZITA-RESAMPLER_MAJ).$(MINVERS)
 ZITA-RESAMPLER_DEP =
-ZITA-RESAMPLER_O = resampler.o vresampler.o resampler-table.o
-ZITA-RESAMPLER_H = zita-resampler/resampler.h zita-resampler/resampler-table.h zita-resampler/vresampler.h
+ZITA-RESAMPLER_O = resampler.o vresampler.o resampler-table.o cresampler.o
+ZITA-RESAMPLER_H = zita-resampler/resampler.h zita-resampler/resampler-table.h \
+	zita-resampler/vresampler.h zita-resampler/cresampler.h
 
 
 $(ZITA-RESAMPLER_MIN): $(ZITA-RESAMPLER_O)

=== debian/changelog ===
zita-resampler (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Nov 2016 18:35:32 +0000

zita-resampler (1.6.0-1) unstable; urgency=medium

  [ Alessio Treglia ]
  * Remove obsolete DM-Upload-Allowed field.

  [ Jaromír Mikeš ]
  * New upstream version 1.6.0
  * Patch refreshed.
  * Bump Standards.
  * Fix VCS fields.
  * Set dh/compat 10.
  * Drop dbg package in favour of dbgsym.
  * Fix some hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Oct 2016 04:22:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders:
- Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
-DM-Upload-Allowed: yes
+Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libsndfile1-dev
-Standards-Version: 3.9.4
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-resampler.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-resampler.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-resampler.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-resampler.git
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html
 
 Package: libzita-resampler-dev
@@ -82,18 +79,3 @@
  optimised error feedback filter. Some examples of dithering can be seen
  here:
  http://www.kokkinizita.net/linuxaudio/dithering.html
-
-Package: zita-resampler-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Multi-Arch: same
-Depends:
- libzita-resampler1 (= ${binary:Version}),
- ${misc:Depends}
-Description: Debugging symbols for libzita-resampler
- Zita resampler is a C++ library for resampling audio signals. It is
- designed to be used within a real-time processing context, to be
- fast, and to provide high-quality sample rate conversion.
- .
- This package provides the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,10 @@
 
 export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+
 %:
-	dh $@ -Smakefile -Dlibs
+	dh $@ -Smakefile -Dapps -Dlibs
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -18,7 +20,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs README
-
-override_dh_strip:
-	dh_strip -plibzita-resampler1 --dbg-package=zita-resampler-dbg
-	dh_strip --remaining-packages

## zita-resampler 1.6.2

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


# Modify as required.
#
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
PREFIX ?= /usr/local
INCDIR ?= $(PREFIX)/include
LIBDIR ?= $(PREFIX)/lib$(SUFFIX)

MAJVERS = 1
MINVERS = 6.2
VERSION = $(MAJVERS).$(MINVERS)
DISTDIR = zita-resampler-$(VERSION)


CPPFLAGS += -I. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
CXXFLAGS += -Wall -fPIC -O2 -ffast-math
CXXFLAGS += -march=native
LDFLAGS += 
LDLIBS +=


ZITA-RESAMPLER_SO = libzita-resampler.so
ZITA-RESAMPLER_MAJ = $(ZITA-RESAMPLER_SO).$(MAJVERS)
ZITA-RESAMPLER_MIN = $(ZITA-RESAMPLER_MAJ).$(MINVERS)
ZITA-RESAMPLER_DEP =
ZITA-RESAMPLER_O = resampler.o vresampler.o resampler-table.o cresampler.o
ZITA-RESAMPLER_H = zita-resampler/resampler.h zita-resampler/resampler-table.h \
	zita-resampler/vresampler.h zita-resampler/cresampler.h


$(ZITA-RESAMPLER_MIN): $(ZITA-RESAMPLER_O)
	$(CXX) -shared $(LDFLAGS) -Wl,-soname,$(ZITA-RESAMPLER_MAJ) -o $(ZITA-RESAMPLER_MIN) $(ZITA-RESAMPLER_O) $(ZITA-RESAMPLER_DEP)

$(ZITA-RESAMPLER_O):	$(ZITA-RESAMPLER_H)


install:	$(ZITA-RESAMPLER_MIN)
	install -d $(DESTDIR)$(INCDIR)/zita-resampler
	install -d $(DESTDIR)$(LIBDIR)
	install -m 644 $(ZITA-RESAMPLER_H)   $(DESTDIR)$(INCDIR)/zita-resampler
	install -m 755 $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(LIBDIR)
	ldconfig
	ln -sf $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(LIBDIR)/$(ZITA-RESAMPLER_SO)

uninstall:
	/bin/rm -rf $(DESTDIR)$(INCDIR)/zita-resampler
	/bin/rm -rf $(DESTDIR)$(LIBDIR)/libzita-resampler*

clean:
	/bin/rm -rf *~ *.o *.a *.d *.so.* zita-resampler/*~

=== debian/changelog ===
zita-resampler (1.6.2-2) unstable; urgency=medium

  * Fix FTCBFS (Closes: #950705) Thanks to Helmut Grohne!
  * Add me as an uploader
  * Fix build

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 15 Mar 2020 17:07:31 +0100

zita-resampler (1.6.2-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * d/control: change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream version 1.6.2
  * d/control:
    + Use debhelper-compat instead of debian/compat
    + Bump dh-compat to 12
    + Bump Standards-Version to 4.5.0
    + Set RRR: no
    + Use https protocol for homepage
    + Update dithering URL in description
    + Set Multi-Arch: foreign for libzita-resampler-doc
  * Drop d/*.1 and install the ones from upstream
  * d/copyright: Update year, http > https & add myself
  * Fix libzita-resampler-doc installation
  * d/patches: Update patchset
  * d/rules:
    + Add more exports to make the build work
    + Update installation
    + Replace libs/ with source/
    + Add Steinar's patch to enable SSE-optimizing resampling of stereo
      signals (Closes: #832095)
  * d/source/local-options: Drop, obsolete
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Mon, 03 Feb 2020 20:45:07 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: zita-resampler
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Jaromír Mikeš <mira.mikes@seznam.cz>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders:
+ Dennis Braun <d_braun@kabelmail.de>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libsndfile1-dev
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-resampler.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-resampler.git
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-resampler.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-resampler
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html
+Rules-Requires-Root: no
 
 Package: libzita-resampler-dev
 Section: libdevel
@@ -30,6 +33,7 @@
 Package: libzita-resampler-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: Developers reference for libzita-resampler library
@@ -78,4 +82,4 @@
  Available dithering types are rectangular, triangular and Lipschitz'
  optimised error feedback filter. Some examples of dithering can be seen
  here:
- http://www.kokkinizita.net/linuxaudio/dithering.html
+ https://kokkinizita.linuxaudio.org/linuxaudio/dithering.html

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PREFIX=/usr
export LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ -Dsource -Dapps

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C apps/ clean
	$(MAKE) -C source/ clean
	
override_dh_auto_build:
	dh_auto_build -Dsource -- DESTDIR=$(DESTDIR)
	dh_auto_build -Dapps -- DESTDIR=$(DESTDIR)

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C source/ DESTDIR=$(DESTDIR) install
	$(MAKE) -C apps/ DESTDIR=$(DESTDIR) install
	dh_install -plibzita-resampler-doc docs/* usr/share/doc/libzita-resampler-doc/docs/

override_dh_installchangelogs:
	dh_installchangelogs README

## zita-resampler 1.8.0

=== apps/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http:#www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX ?= /usr/local
BINDIR ?= $(PREFIX)/bin
MANDIR ?= /usr/share/man/man1

VERSION = 1.6.0
CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2  -ffast-math -Wall
CXXFLAGS += -march=native


all:	zresample zretune zresample.1.gz zretune.1.gz


ZRESAMPLE_O = zresample.o audiofile.o dither.o
zresample:	LDLIBS += -lzita-resampler -lsndfile -lrt
zresample:	$(ZRESAMPLE_O)
	$(CXX) $(LDFLAGS) -o $@ $(ZRESAMPLE_O) $(LDLIBS)
$(ZRESAMPLE_O):
-include $(ZRESAMPLE_O:%.o=%.d)


ZRETUNE_O = zretune.o audiofile.o dither.o
zretune:	LDLIBS += -lzita-resampler -lsndfile -lrt
zretune:	$(ZRETUNE_O)
	$(CXX) $(LDFLAGS) -o $@ $(ZRETUNE_O) $(LDLIBS)
$(ZRETUNE_O):
-include $(ZRETUNE_O:%.o=%.d)


zresample.1.gz:	zresample.1
	gzip -c zresample.1 > zresample.1.gz

zretune.1.gz:	zretune.1
	gzip -c zretune.1 > zretune.1.gz


install:	all
	install -d $(BINDIR)
	install -d $(MANDIR)
	install -m 755 zresample $(DESTDIR)$(BINDIR)
	install -m 755 zretune $(DESTDIR)$(BINDIR)
	install -m 644 zresample.1.gz $(DESTDIR)$(MANDIR)
	install -m 644 zretune.1.gz $(DESTDIR)$(MANDIR)

uninstall: 
	/bin/rm -f $(DESTDIR)$(BINDIR)/zresample
	/bin/rm -f $(DESTDIR)$(BINDIR)/zretune
	/bin/rm -f $(MANDIR)/zresample.1.gz
	/bin/rm -f $(MANDIR)/zretune.1.gz

clean:
	/bin/rm -f *~ *.o *.a *.d *.so *.gz zresample zretune

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2006-2020 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -26,12 +26,12 @@
 LIBDIR ?= $(PREFIX)/lib$(SUFFIX)
 
 MAJVERS = 1
-MINVERS = 6.2
+MINVERS = 8.0
 VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = zita-resampler-$(VERSION)
 
-
 CPPFLAGS += -I. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
+CPPFLAGS += -DENABLE_SSE2
 CXXFLAGS += -Wall -fPIC -O2 -ffast-math
 CXXFLAGS += -march=native
 LDFLAGS +=

=== debian/changelog ===
zita-resampler (1.8.0-2) unstable; urgency=medium

  * Fix the SSE2 excluding in d/rules

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 02 Jan 2021 22:14:01 +0100

zita-resampler (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Refresh makefile patch
  * Remove SSE2 patch, (mostly) applied by upstream
  * Enable SSE2 only for amd64 and x32
  * Fix spell error in the documentation
  * Bump dh-compat to 13
  * Bump S-V to 4.5.1
  * Update d/copyright years
  * Remove unneeded build flags in d/rules
  * Include architecture.mk instead of calling dpkg-architecture

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 02 Jan 2021 17:14:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
  Dennis Braun <d_braun@kabelmail.de>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libsndfile1-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/zita-resampler.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-resampler
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 export PREFIX=/usr
 export LIBDIR=$(PREFIX)/lib/$(DEB_HOST_MULTIARCH)
 export DESTDIR=$(CURDIR)/debian/tmp
+
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 x32))
+	CPPFLAGS += -DENABLE_SSE2
+endif
 
 %:
 	dh $@ -Dsource -Dapps

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-resampler-(.*)\.tar\.bz2

## zita-resampler 1.10.1

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2006-2020 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2006-2022 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -26,12 +26,14 @@
 LIBDIR ?= $(PREFIX)/lib$(SUFFIX)
 
 MAJVERS = 1
-MINVERS = 8.0
+MINVERS = 10.1
 VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = zita-resampler-$(VERSION)
 
 CPPFLAGS += -I. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
 CPPFLAGS += -DENABLE_SSE2
+CPPFLAGS += -DZITA_RESAMPLER_MAJOR_VERSION=$(MAJVERS)
+CPPFLAGS += -DZITA_RESAMPLER_MINOR_VERSION=$(MINVERS)
 CXXFLAGS += -Wall -fPIC -O2 -ffast-math
 CXXFLAGS += -march=native
 LDFLAGS += 
@@ -58,8 +60,8 @@
 	install -d $(DESTDIR)$(LIBDIR)
 	install -m 644 $(ZITA-RESAMPLER_H)   $(DESTDIR)$(INCDIR)/zita-resampler
 	install -m 755 $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(LIBDIR)
-	ldconfig
 	ln -sf $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(LIBDIR)/$(ZITA-RESAMPLER_SO)
+	ln -sf $(ZITA-RESAMPLER_MIN) $(DESTDIR)$(LIBDIR)/$(ZITA-RESAMPLER_MAJ)
 
 uninstall:
 	/bin/rm -rf $(DESTDIR)$(INCDIR)/zita-resampler

=== debian/changelog ===
zita-resampler (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1
  * Change my email address
  * Bump Standards-Version to 4.6.2
  * Bump d/copyright years
  * Refresh patchset
  * Add salsa ci config
  * d/watch: Use @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

 -- Dennis Braun <snd@debian.org>  Mon, 12 Jun 2023 19:50:16 +0200

## zita-resampler 1.11.2

=== apps/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2006-2018 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2006-2022 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -22,7 +22,7 @@
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= /usr/share/man/man1
 
-VERSION = 1.6.0
+VERSION = 1.10.1
 CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
 CXXFLAGS += -O2  -ffast-math -Wall
 CXXFLAGS += -march=native
@@ -55,8 +55,8 @@
 
 
 install:	all
-	install -d $(BINDIR)
-	install -d $(MANDIR)
+	install -d $(DESTDIR)$(BINDIR)
+	install -d $(DESTDIR)$(MANDIR)
 	install -m 755 zresample $(DESTDIR)$(BINDIR)
 	install -m 755 zretune $(DESTDIR)$(BINDIR)
 	install -m 644 zresample.1.gz $(DESTDIR)$(MANDIR)
@@ -65,8 +65,8 @@
 uninstall: 
 	/bin/rm -f $(DESTDIR)$(BINDIR)/zresample
 	/bin/rm -f $(DESTDIR)$(BINDIR)/zretune
-	/bin/rm -f $(MANDIR)/zresample.1.gz
-	/bin/rm -f $(MANDIR)/zretune.1.gz
+	/bin/rm -f $(DESTDIR)$(MANDIR)/zresample.1.gz
+	/bin/rm -f $(DESTDIR)$(MANDIR)/zretune.1.gz
 
 clean:
 	/bin/rm -f *~ *.o *.a *.d *.so *.gz zresample zretune

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2006-2022 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2006-2023 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -26,14 +26,13 @@
 LIBDIR ?= $(PREFIX)/lib$(SUFFIX)
 
 MAJVERS = 1
-MINVERS = 10.1
+MINVERS = 11.2
 VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = zita-resampler-$(VERSION)
 
 CPPFLAGS += -I. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
 CPPFLAGS += -DENABLE_SSE2
-CPPFLAGS += -DZITA_RESAMPLER_MAJOR_VERSION=$(MAJVERS)
-CPPFLAGS += -DZITA_RESAMPLER_MINOR_VERSION=$(MINVERS)
+#CPPFLAGS += -DENABLE_NEON  
 CXXFLAGS += -Wall -fPIC -O2 -ffast-math
 CXXFLAGS += -march=native
 LDFLAGS +=

=== test/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2020 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


# Compilation flags
#
CXXFLAGS += -O2 -Wall


# Targets
#
all:	speedtest vspeedtest upstest jackproc


speedtest:	speedtest.o
	g++ -o $@ speedtest.o -lzita-resampler


vspeedtest:	vspeedtest.o
	g++ -o $@ vspeedtest.o -lzita-resampler


upstest:	upstest.o
	g++ -o $@ upstest.o -lzita-resampler


jackproc:	jackproc.o lfqueue.o
	g++ -o $@ jackproc.o lfqueue.o -lzita-resampler -ljack


clean:
	/bin/rm -f *.o *.u *.so *~ speedtest vspeedtest upstest jackproc zz*

=== debian/changelog ===
zita-resampler (1.11.2-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:57:02 +0200

zita-resampler (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2
  * Refresh patchset, drop spelling error patch applied by upstream
    + Disable SSE2 on default, we set it in d/rules

 -- Dennis Braun <snd@debian.org>  Sun, 03 Sep 2023 17:48:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: zita-resampler
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
- Dennis Braun <d_braun@kabelmail.de>,
+ Dennis Braun <snd@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
  debhelper-compat (= 13),
  libsndfile1-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/zita-resampler.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-resampler
 Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
